Posts: 4,164
rokytnji
Joined: 20 Feb 2009
#1
Latest dist-upgrade last night. Then another this morning for just iceweasel and btrfs-tools.

Code: Select all

harry@biker:~
$ sux
Password: 
bash: cannot set terminal process group (-1): Inappropriate ioctl for device
bash: no job control in this shell
root@biker:/home/harry# apt-get dist-upgrade
Reading package lists... Done
Building dependency tree        
Reading state information... Done
Calculating upgrade... The following package was automatically installed and is no longer required:
  libspeechd2
Use 'apt-get autoremove' to remove it.
Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
No errors. This is going to be a long winded post. 1st. I lost all icons with a reboot. GTK was broken like bad. No text in right click in synaptic. No text in tool bar in synaptic. Icewm toolbar blank. I posted that fix here.
post37084.html#p37084

Next problem. Shutdown quit working on extantix.sh
sudo halt stops the screen at"reboot:halt" and just sits there till the power button is pressed to kill the power.

So I did some editing.

Code: Select all

$ sux
Password: 
bash: cannot set terminal process group (-1): Inappropriate ioctl for device
bash: no job control in this shell
root@biker:/ etc/sudoers.d# cat antixers
# sudoers file.
 
%users ALL=(root) NOPASSWD: /sbin/halt 

%users ALL=(root) NOPASSWD: /sbin/poweroff

%users ALL=(root) NOPASSWD: /sbin/shutdown

%users ALL=(root) NOPASSWD: /sbin/reboot  

%users ALL=(root) NOPASSWD: /sbin/blkid 

%users ALL=(root) NOPASSWD: /sbin/fdisk.distrib 

%users ALL=(root) NOPASSWD: /usr/bin/ceni 

%users ALL=(root) NOPASSWD: /usr/bin/rox 

%users ALL=(root) NOPASSWD: /usr/local/bin/persist-config

%users ALL=(root) NOPASSWD: /usr/local/bin/persist-save 

%users ALL=(root) NOPASSWD: /usr/sbin/minstall 

%users ALL=(root) NOPASSWD: /usr/local/bin/connectshares.sh

%users ALL=(root) NOPASSWD: /usr/local/bin/disconnectshares.sh 

Defaults env_keep +="RESTARTED"

%users ALL=(root) NOPASSWD: /usr/local/bin/update-default-desktop
root@biker:/ etc/sudoers.d# 
My exitantix.sh

Code: Select all

#!/bin/bash 
# File Name: exitantiX.sh
# Purpose: exit script from fluxbox and icewm
# Authors: OU812 and minor modifications by anticapitalista
# Latest Change: 20 August 2008
# Latest Change: 02 January 2009
# Latest Change: 24 October 2011 Localisation/internationalisation added by anticapitalista/BitJam 
# Latest Change: 23 September 2012 ICON function
######################################################################################################

TEXTDOMAINDIR=/usr/share/locale 
TEXTDOMAIN=exitantix.sh
ICONS=/usr/share/icons/antiX-1

export LOGOUT=$(cat <<End_of_Text

<window title="`gettext $"Log Out"`" window-position="1">

<vbox>
  <frame>
  <hbox>
    <vbox>
      <hbox>
        <button>
        <input file>"$ICONS/lock.svg"</input>
        <action>EXIT:lock_antix</action>
        </button>
        <text use-markup="true" width-chars="15"><label>"`gettext $"Lock Screen"`"</label></text>
      </hbox>
      <hbox>
        <button>
        <input file>"$ICONS/hibernate.svg"</input>
        <action>EXIT:hibernate_antix</action>
        </button>
        <text use-markup="true" width-chars="15"><label>"`gettext $"Hibernate"`"</label></text>
      </hbox>
      <hbox>
        <button>
        <input file>"$ICONS/reboot.svg"</input>
        <action>EXIT:reboot_antix</action>
        </button>
        <text use-markup="true" width-chars="15"><label>"`gettext $"Reboot"`"</label></text>
      </hbox>
    </vbox>

    <vbox>
      <hbox>
        <button>
        <input file>"$ICONS/logout.svg"</input>
        <action>EXIT:logout_antix</action>
        </button>
        <text use-markup="true" width-chars="15"><label>"`gettext $"Log Out"`"</label></text>
      </hbox>
      <hbox>
        <button>
        <input file>"$ICONS/suspend.svg"</input>
        <action>EXIT:suspend_antix</action>
        </button>
        <text use-markup="true" width-chars="15"><label>"`gettext $"Suspend"`"</label></text>
      </hbox>
      <hbox>
        <button>
        <input file>"$ICONS/shutdown.svg"</input>
        <action>EXIT:shutdown_antix</action>
        </button>
        <text use-markup="true" width-chars="15"><label>"`gettext $"Shutdown"`"</label></text>
      </hbox>
    </vbox>
  </hbox>
  </frame>
</vbox>
  
</window>
End_of_Text
)

I=$IFS; IFS=""
for STATEMENTS in  $(gtkdialog --program LOGOUT); do
  eval $STATEMENTS
done
IFS=$I

read_id_file() {
    FILE_ID=
    local file=$1:${DISPLAY%.[0-9]}
    local pid=$(cat $file 2>/dev/null)
    test -r $file; local ret=$?
    rm -f $file
    if [ $ret != 0 ]; then
        echo"Could not find/read file: $file"
        return 1
    fi

    if [ -z"$pid" ]; then
        echo"Empty file: $file"
        return 1
    fi
    FILE_ID=$pid
    return 0
}

kill_list() {
    local cmd pid list=$1
    local gdad=$(grep  ^PPid: /proc/$PPID/status | cut -f2)
    for pid in $list; do
        cmd=$(cat /proc/$pid/comm 2>/dev/null)
        case $pid in
            $$|$PPID|$gdad) continue ;;
        esac
        ["$cmd" ] && echo"kill $cmd"
        kill $pid 2>/dev/null
    done
}

list_group() {
    local pgid=$1  save=$2
    ["$pgid" ] || return
    for pid in $(pgrep -g $pgid); do
        ["$pid" ="$save" ] && continue
        echo -n"$pid"
    done
}

clean_logout() {
    sdir=$HOME/.antix-session
    
    read_id_file $sdir/xinitrc-pid || return 1
    local wm_pid=$FILE_ID

    local wm_prog=$(cat /proc/$wm_pid/comm 2>/dev/null)
    local wm_pgid=$(cut -d"" -f5 /proc/$wm_pid/stat)

    echo -e"\n----------------------------------------------------------------"
    echo"${0##*/} ($$): clean logout from session: $wm_prog"

    read_id_file $sdir/startup-pgid
    local st_pgid=$FILE_ID

    local list=$(list_group"$st_pgid""$wm_pid")
    if [ -n"$list" -a"$st_pgid" !="$wm_pgid" ]; then
        echo"Kill possible startup orphans ($st_pgid): $list"
        kill_list"$list"
    fi

    ps x -o pid,ppid,pgid,user,cmd

    list=$(list_group"$wm_pgid""$wm_pid")
    if ["$list" ]; then
        echo"Kill possible xinitrc orphans ($wm_pgid): $list"
        kill_list"$list"
    fi

    list=$(echo $(pgrep -P $wm_pid | tac) $wm_pid)
    if ["$list" ]; then
        echo"Kill remaining processes: $list"
        kill_list"$list"
    fi

    list=$(echo $(pgrep -P $wm_pid | tac) $wm_pid)
    [ -d /proc/$wm_pid/ ] || return 0
    sleep 1
    [ -d /proc/$wm_pid/ ] || return 0
    echo"Finally kill $wm_prog"
    kill -9 $wm_pid
    return 0
}

if ["$EXIT" ="lock_antix" ] ; then
    xlock
fi

if ["$EXIT" ="logout_antix" ] ; then

    if clean_logout >&2; then
        echo"${0##*/}: exit"
        echo -e"----------------------------------------------------------------\n"
        exit

    elif [ $USER != root -a $UID != 0 ]; then
        echo"As a last resort, kill all \"$USER\" user processes" >&2
        pkill -U $USER
    fi
fi

if ["$EXIT" ="reboot_antix" ] ; then
    if which persist-config &> /dev/null; then
        sudo persist-config --shutdown --command reboot
    else
        sudo reboot
    fi
fi

if ["$EXIT" ="hibernate_antix" ] ; then
    dbus-send --system --print-reply --dest="org.freedesktop.UPower" /org/freedesktop/UPower org.freedesktop.UPower.Hibernate
fi

if ["$EXIT" ="suspend_antix" ] ; then
    dbus-send --system --print-reply --dest="org.freedesktop.UPower" /org/freedesktop/UPower org.freedesktop.UPower.Suspend
fi

if ["$EXIT" ="shutdown_antix" ] ; then
    if which persist-config &> /dev/null; then
        sudo persist-config --shutdown --command halt
    else
        sudo poweroff
    fi
fi
sudo poweroff works in terminal. But in exitantix.sh. It gives the same
stop at text screen during shutdown. reboot:halt. But sudo poweroff in terminal shuts me down in just a few seconds.

Moving on in the next post to weird udev messages while editing files like I show above. Edited in my post"root@biker:/ etc/sudoers.d#"
in code block from"root@biker:/etc/sudoers.d#"
(without the quotation marks) because of forum bug"Forbidden You don't have permission to access /posting.php on this server."
Posts: 4,164
rokytnji
Joined: 20 Feb 2009
#2

Code: Select all

harry@biker:~
$ gksu spacefm
EXEC(/usr/share/applications/leafpad.desktop)=leafpad %f
udev changed: /dev/sdb
<snip>
udev changed: /dev/sdb
Gtk-Message: (for origin information, set GTK_DEBUG): failed to retrieve property `GtkRange::activate-slider' of type `gboolean' from rc file value"((GString*) 0x913ea90)" of type `GString'
EXEC(/usr/share/applications/leafpad.desktop)=leafpad %f
udev changed: /dev/sdb
udev changed: /dev/sdb
<snip>
udev changed: /dev/sdb
I have no /dev/sdb physically plugged in or mounted

Code: Select all

harry@biker:~
$  lsblk -f
NAME   FSTYPE LABEL MOUNTPOINT
sda                 
`-sda1              /
harry@biker:~
$ blkid
bash: blkid: command not found
harry@biker:~
$ sux
Password: 
bash: cannot set terminal process group (-1): Inappropriate ioctl for device
bash: no job control in this shell
root@biker:/home/harry# blkid
/dev/sda1: LABEL="/" UUID="dfe6cc48-1f85-47b5-a8ce-a7ea94b42f4b" TYPE="ext2" 
harry@biker:~
$  ls -l /dev/disk/by-label
total 0
lrwxrwxrwx 1 root root 10 Sep 26 08:06 \x2f -> ../../sda1
As he scratches his head. I have other breakage but I don't want to overwhelm this thread. It has to do with non working antixcc>system>edit config files. Geany will not open up with that button.

For right now. I am living with

Code: Select all

sudo poweroff 
in terminal to shutdown.
I am ignoring the /dev/sdb renaming bug as it does not seem to effect anything. The edit config files button in antixcc I can slip by on my own
traveling a different opath by

Code: Select all

gksu geany
What a dist-upgrade. __{{emoticon}}__
Posts: 4,164
rokytnji
Joined: 20 Feb 2009
#3
As per chat using the arch wiki for system.d recommended by Anti.
I did some more editing.
exitantix.sh now says
#!/bin/bash
# File Name: exitantiX.sh
# Purpose: exit script from fluxbox and icewm
# Authors: OU812 and minor modifications by anticapitalista
# Latest Change: 20 August 2008
# Latest Change: 02 January 2009
# Latest Change: 24 October 2011 Localisation/internationalisation added by anticapitalista/BitJam
# Latest Change: 23 September 2012 ICON function
######################################################################################################

TEXTDOMAINDIR=/usr/share/locale
TEXTDOMAIN=exitantix.sh
ICONS=/usr/share/icons/antiX-1

export LOGOUT=$(cat <<End_of_Text

<window title="`gettext $"Log Out"`" window-position="1">

<vbox>
<frame>
<hbox>
<vbox>
<hbox>
<button>
<input file>"$ICONS/lock.svg"</input>
<action>EXIT:lock_antix</action>
</button>
<text use-markup="true" width-chars="15"><label>"`gettext $"Lock Screen"`"</label></text>
</hbox>
<hbox>
<button>
<input file>"$ICONS/hibernate.svg"</input>
<action>EXIT:hibernate_antix</action>
</button>
<text use-markup="true" width-chars="15"><label>"`gettext $"Hibernate"`"</label></text>
</hbox>
<hbox>
<button>
<input file>"$ICONS/reboot.svg"</input>
<action>EXIT:reboot_antix</action>
</button>
<text use-markup="true" width-chars="15"><label>"`gettext $"Reboot"`"</label></text>
</hbox>
</vbox>

<vbox>
<hbox>
<button>
<input file>"$ICONS/logout.svg"</input>
<action>EXIT:logout_antix</action>
</button>
<text use-markup="true" width-chars="15"><label>"`gettext $"Log Out"`"</label></text>
</hbox>
<hbox>
<button>
<input file>"$ICONS/suspend.svg"</input>
<action>EXIT:suspend_antix</action>
</button>
<text use-markup="true" width-chars="15"><label>"`gettext $"Suspend"`"</label></text>
</hbox>
<hbox>
<button>
<input file>"$ICONS/shutdown.svg"</input>
<action>EXIT:shutdown_antix</action>
</button>
<text use-markup="true" width-chars="15"><label>"`gettext $"Shutdown"`"</label></text>
</hbox>
</vbox>
</hbox>
</frame>
</vbox>

</window>
End_of_Text
)

I=$IFS; IFS=""
for STATEMENTS in $(gtkdialog --program LOGOUT); do
eval $STATEMENTS
done
IFS=$I

read_id_file() {
FILE_ID=
local file=$1:${DISPLAY%.[0-9]}
local pid=$(cat $file 2>/dev/null)
test -r $file; local ret=$?
rm -f $file
if [ $ret != 0 ]; then
echo"Could not find/read file: $file"
return 1
fi

if [ -z"$pid" ]; then
echo"Empty file: $file"
return 1
fi
FILE_ID=$pid
return 0
}

kill_list() {
local cmd pid list=$1
local gdad=$(grep ^PPid: /proc/$PPID/status | cut -f2)
for pid in $list; do
cmd=$(cat /proc/$pid/comm 2>/dev/null)
case $pid in
$$|$PPID|$gdad) continue ;;
esac
["$cmd" ] && echo"kill $cmd"
kill $pid 2>/dev/null
done
}

list_group() {
local pgid=$1 save=$2
["$pgid" ] || return
for pid in $(pgrep -g $pgid); do
["$pid" ="$save" ] && continue
echo -n"$pid"
done
}

clean_logout() {
sdir=$HOME/.antix-session

read_id_file $sdir/xinitrc-pid || return 1
local wm_pid=$FILE_ID

local wm_prog=$(cat /proc/$wm_pid/comm 2>/dev/null)
local wm_pgid=$(cut -d"" -f5 /proc/$wm_pid/stat)

echo -e"\n----------------------------------------------------------------"
echo"${0##*/} ($$): clean logout from session: $wm_prog"

read_id_file $sdir/startup-pgid
local st_pgid=$FILE_ID

local list=$(list_group"$st_pgid""$wm_pid")
if [ -n"$list" -a"$st_pgid" !="$wm_pgid" ]; then
echo"Kill possible startup orphans ($st_pgid): $list"
kill_list"$list"
fi

ps x -o pid,ppid,pgid,user,cmd

list=$(list_group"$wm_pgid""$wm_pid")
if ["$list" ]; then
echo"Kill possible xinitrc orphans ($wm_pgid): $list"
kill_list"$list"
fi

list=$(echo $(pgrep -P $wm_pid | tac) $wm_pid)
if ["$list" ]; then
echo"Kill remaining processes: $list"
kill_list"$list"
fi

list=$(echo $(pgrep -P $wm_pid | tac) $wm_pid)
[ -d /proc/$wm_pid/ ] || return 0
sleep 1
[ -d /proc/$wm_pid/ ] || return 0
echo"Finally kill $wm_prog"
kill -9 $wm_pid
return 0
}

if ["$EXIT" ="lock_antix" ] ; then
xlock
fi

if ["$EXIT" ="logout_antix" ] ; then

if clean_logout >&2; then
echo"${0##*/}: exit"
echo -e"----------------------------------------------------------------\n"
exit

elif [ $USER != root -a $UID != 0 ]; then
echo"As a last resort, kill all \"$USER\" user processes" >&2
pkill -U $USER
fi
fi

if ["$EXIT" ="reboot_antix" ] ; then
if which persist-config &> /dev/null; then
sudo persist-config --shutdown --command reboot
else
sudo reboot
fi
fi

if ["$EXIT" ="hibernate_antix" ] ; then
dbus-send --system --print-reply --dest="org.freedesktop.UPower" /org/freedesktop/UPower org.freedesktop.UPower.Hibernate
fi

if ["$EXIT" ="suspend_antix" ] ; then
dbus-send --system --print-reply --dest="org.freedesktop.UPower" /org/freedesktop/UPower org.freedesktop.UPower.Suspend
fi

if ["$EXIT" ="shutdown_antix" ] ; then
if which persist-config &> /dev/null; then
sudo persist-config --shutdown --command halt
else
sudo systemctl poweroff
fi
fi

antixers in sudoers.d now says
# sudoers file.

%users ALL=(root) NOPASSWD: /sbin/halt

%users ALL=(root) NOPASSWD: /usr/bin/systemctl poweroff,/usr/bin/systemctl halt


%users ALL=(root) NOPASSWD: /sbin/poweroff

%users ALL=(root) NOPASSWD: /sbin/shutdown

%users ALL=(root) NOPASSWD: /sbin/reboot

%users ALL=(root) NOPASSWD: /sbin/blkid

%users ALL=(root) NOPASSWD: /sbin/fdisk.distrib

%users ALL=(root) NOPASSWD: /usr/bin/ceni

%users ALL=(root) NOPASSWD: /usr/bin/rox

%users ALL=(root) NOPASSWD: /usr/local/bin/persist-config

%users ALL=(root) NOPASSWD: /usr/local/bin/persist-save

%users ALL=(root) NOPASSWD: /usr/sbin/minstall

%users ALL=(root) NOPASSWD: /usr/local/bin/connectshares.sh

%users ALL=(root) NOPASSWD: /usr/local/bin/disconnectshares.sh

Defaults env_keep +="RESTARTED"

%users ALL=(root) NOPASSWD: /usr/local/bin/update-default-desktop

arch link

========= SCRAPER REMOVED AN EMBEDDED LINK HERE ===========
url was:"https://wiki.archlinux.org/index.php/allow_users_to_shutdown"
linktext was:"https://wiki.archlinux.org/index.php/al ... o_shutdown"
====================================


Going to shutdown. Hope I fixed it.
Posts: 4,164
rokytnji
Joined: 20 Feb 2009
#4
Naw. No joy. Still stuck at reboot:Shutdown halt

at text screen exiting. I was asked what I was running so to clarify

Code: Select all

harry@biker:~
$ inxi -r
Repos:     Active apt sources in file: / etc/apt/sources.list.d/antix.list
           deb http://antix.daveserver.info/testing testing main
           Active apt sources in file: / etc/apt/sources.list.d/debian.list
           deb http://ftp.us.debian.org/debian/ testing main contrib non-free
           deb http://security.debian.org/ testing/updates main contrib non-free
           Active apt sources in file: / etc/apt/sources.list.d/various.list
           deb http://mozilla.debian.net/ experimental iceweasel-beta
           deb http://www.duinsoft.nl/pkg debs all
The machine

Code: Select all

harry@biker:~
$ inxi -zv7
System:    Host: biker Kernel: 3.12.1-antix.1-486-smp i686 (32 bit gcc: 4.7.3) 
           Desktop: IceWM 1.3.7 dm: slim 
           Distro: antiX-13_386-full Luddite 01 June 2013 
Machine:   System: manda product: Intel powered classmate PC v: Gen 1.5L
           Mobo: N/A model: N/A
           Bios: American Megatrends v: CM94515A.86A.0024.2008.0715.1716 date: 07/15/2008
CPU:       Single core Intel Core N270 (-HT-) cache: 512 KB
           flags: (nx pae sse sse2 sse3 ssse3) bmips: 3191 
           Clock Speeds: 1: 1600 MHz 2: 1600 MHz
Graphics:  Card: Intel Mobile 945GSE Express Integrated Graphics Controller
           bus-ID: 00:02.0 chip-ID: 8086:27ae
           Display Server: X.Org 1.16.0.901 drivers: intel (unloaded: fbdev,vesa)
           Resolution: 1024x600@53.33hz
           GLX Renderer: Mesa DRI Intel 945GME x86/MMX/SSE2
           GLX Version: 2.1 Mesa 10.2.6 Direct Rendering: Yes
Audio:     Card Intel NM10/ICH7 Family High Definition Audio Controller 
           driver: snd_hda_intel bus-ID: 00:1b.0 chip-ID: 8086:27d8 
           Sound: ALSA v: k3.12.1-antix.1-486-smp
Network:   Card: Realtek RTL8101E/RTL8102E PCI Express Fast Ethernet controller
           driver: r8169 v: 2.3LK-NAPI port: ec00
           bus-ID: 01:00.0 chip-ID: 10ec:8136
           IF: eth1 state: down mac: <filter>
           WAN IP: <filter> IF: eth1 ip: N/A ip-v6: N/A 
           IF: wlan1 ip: <filter> ip-v6: <filter> 
Drives:    HDD Total Size: 63.3GB (55.8% used)
           ID-1: /dev/sda model: KingSpec_KSD size: 63.3GB serial: ZF18613012400045
           Optical: No optical drives detected.
Partition: ID-1: / size: 59G used: 33G (60%) fs: ext2 dev: /dev/sda1 
           label: / uuid: dfe6cc48-1f85-47b5-a8ce-a7ea94b42f4b
RAID:      No RAID data: /proc/mdstat missing-is md_mod kernel module loaded?
Unmounted: No unmounted partitions detected
Sensors:   System Temperatures: cpu: 64.0C mobo: N/A 
           Fan Speeds (in rpm): cpu: N/A 
Info:      Processes: 98 Uptime: 5 min Memory: 252.9/2014.9MB 
           Init: systemd v: 208 runlevel: 5 default: 5 
           Gcc sys: 4.9.1 alt: 4.4/4.7/4.8 
           Client: Shell (bash 4.3.251 running in roxterm) inxi: 2.1.29 
No deal breaking going on yet. I can live with

Code: Select all

sudo poweroff
on this netbook. I just thought I would start this thread in case any other testing or unstable users run into this grief.

Anything with /etc
edited due to forum bug mentioned in previous posting. So if anyone hitch hikes into this thread and posts their stuff and gets the"Forbidden" page.

Well, it is not like I did not warn ya.
Semper Gumby = Always Flexible
__{{emoticon}}__
Posts: 4,164
rokytnji
Joined: 20 Feb 2009
#5
Figured I'd take a photo of where shutdown hangs no matter what I put in exitantix,sh.
Same command in terminal

Code: Select all

sudo sytemctl poweroff

Code: Select all

sudo poweroff
works though outside of the gui shutdown buttons in terminal.

Image

Direct link below


========= SCRAPER REMOVED AN EMBEDDED LINK HERE ===========
url was:"http://postmyimage.com/img2/934_netbook.JPG"
linktext was:"http://postmyimage.com/img2/934_netbook.JPG"
====================================
Posts: 325
male
Joined: 04 Nov 2011
#6
Did you not ask here for a solution?

post36399.html#p36399

Or, is it not?
anticapitalista
Posts: 5,955
Site Admin
Joined: 11 Sep 2007
#7
male - that works ok with sysvinit, but not with systemd (which roky probably got 'upgraded' to without it being his choice.
Posts: 4,164
rokytnji
Joined: 20 Feb 2009
#8
male wrote:Did you not ask here for a solution?

post36399.html#p36399

Or, is it not?
@male, yeah. That was the 1st thing I thought of and tried."sudo poweroff" was the 1st edit I tried in my previous post. I can see how one can miss that
as this is a long winded, boring ass thread.

Right now just living woth"sudo systemctl poweroff" using roxterm/urxvt to shut down.
Right now, I guess I am the bug stuck to the windsheild as far as systemd and exitantix.sh is concerned.

At least it is nice and breezy stuck to the windshield. __{{emoticon}}__
Posts: 325
male
Joined: 04 Nov 2011
#9

Code: Select all

# cat /var/log/apt/term.log
would provide clarity
roky wrote:harry@biker:~
$ inxi -zv7
System: Host: biker Kernel: 3.12.1-antix.1-486-smp i686 (32 bit gcc: 4.7.3)
Desktop: IceWM 1.3.7 dm: slim
Distro: antiX-13_386-full Luddite 01 June 2013 ]
Presumably, it is up to Slim

========= SCRAPER REMOVED AN EMBEDDED LINK HERE ===========
url was:"http://forum.siduction.org/index.php?topic=4593.msg37978#msg37978"
linktext was:"http://forum.siduction.org/index.php?to ... 8#msg37978"
====================================

(first part of the thread)

That's why I hedged myself with firstonce

Code: Select all

male@antiX132:~
$ apt-mark showhold
conky
conky-all
slim
sysvinit-core
I think it is always not a good idea to a running system with sisvinit to change according to systemd.
Only problems.
If systemd, then from the beginning!
Posts: 146
Eperbab
Joined: 10 Dec 2012
#10
Please, check this:
========= SCRAPER REMOVED AN EMBEDDED LINK HERE ===========
url was:"http://forums.debian.net/viewtopic.php?f=6&t=117788"
linktext was:"http://forums.debian.net/viewtopic.php?f=6&t=117788"
====================================